Subject: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Paul Eggert <[email-masked]>
Date: Mon, 2 Jun 2025 11:24:57 -0700

On 2025-06-02 00:52, Eli Zaretskii wrote:
> the question of how to recognize that version still stand.

That version recognition is done by configure.ac; see its use of 
gl_GCC_VERSION_IFELSE. Currently the default is to enable warnings (but 
don't fail the build) with any version of Clang, or with GCC 5.3 or 
later. We could easily change the default to some other version.